Форум русскоязычного сообщества Ubuntu


Увидели сообщение с непонятной ссылкой, спам, непристойность или оскорбление?
Воспользуйтесь ссылкой «Сообщить модератору» рядом с сообщением!

Автор Тема: Не могу выйти в интернет через blueman  (Прочитано 1476 раз)

0 Пользователей и 1 Гость просматривают эту тему.

Оффлайн d1m92

  • Автор темы
  • Новичок
  • *
  • Сообщений: 35
    • Просмотр профиля
Не могу выйти в интернет через blueman
« : 21 Февраль 2017, 12:46:12 »
Не могу подключится к интернету через телефон. Телефон добавился нормально (установлен как доверяемый)

До установил gnome-system-tools, добавил себя в группу Bluetooth, при попытке соединится с телефоном "как точка доступа к сети" получаю сообщение: "Соединение невозможно или разорвано: uid 1000 has no permission to perform this operation".

Так же не могу принимать/отправлять файлы на устройство. В чем может быть проблема?

--

Если на телефоне вырубить "Профиль A2DP" то ошибка при попытки подключения будет выглядеть так: "Соединение невозможно или разорвано: Input/output error"

Галочка в телефоне "Интернет доступ" слетает через каждые 2-3 минуты (возможно при попытки подключения)

Цитировать
Ubuntu 16.10
Ядро: 4.0.8.38
Blueman 2.0.4 (установил вчера с оф репозитория Ubuntu)
Версия андроид на телефоне: 5.1
« Последнее редактирование: 21 Февраль 2017, 13:05:22 от d1m92 »

Оффлайн fluf

  • Любитель
  • *
  • Сообщений: 53
    • Просмотр профиля
Re: Не могу выйти в интернет через blueman
« Ответ #1 : 21 Февраль 2017, 12:54:11 »
(никогда не делал ничего подобного)

Может реально не хватает прав? Пробовали запустить ту же утилиту через gksu?

Оффлайн d1m92

  • Автор темы
  • Новичок
  • *
  • Сообщений: 35
    • Просмотр профиля
Re: Не могу выйти в интернет через blueman
« Ответ #2 : 21 Февраль 2017, 13:07:21 »
Как его из консоли запустить? пишет "Команда 'blueman' не найдена"

P.S Добавил еще инфы в первом посте.

Оффлайн d1m92

  • Автор темы
  • Новичок
  • *
  • Сообщений: 35
    • Просмотр профиля
Re: Не могу выйти в интернет через blueman
« Ответ #3 : 22 Февраль 2017, 14:15:57 »
Всё еще актуально.

Оффлайн bezbo

  • Старожил
  • *
  • Сообщений: 1443
    • Просмотр профиля
Re: Не могу выйти в интернет через blueman
« Ответ #4 : 22 Февраль 2017, 16:28:50 »

Оффлайн d1m92

  • Автор темы
  • Новичок
  • *
  • Сообщений: 35
    • Просмотр профиля
Re: Не могу выйти в интернет через blueman
« Ответ #5 : 22 Февраль 2017, 17:19:51 »
Я это уже несколько раз читал. Сегодня попытался подключится к другому устройству, все тоже самое, ни файлов не посмотреть/передать, ни интернета. Просто подключение и всё. Может что с дровами не так? как определить какой bluetooth контролер установлен в системе?

Оффлайн fluf

  • Любитель
  • *
  • Сообщений: 53
    • Просмотр профиля
Re: Не могу выйти в интернет через blueman
« Ответ #6 : 22 Февраль 2017, 19:23:09 »
А вот это http://askubuntu.com/questions/877775/uid-1002-has-no-permission-to-perform-this-operation
пробовали?

Пользователь добавил сообщение 22 Февраль 2017, 19:26:41:
Как его из консоли запустить? пишет "Команда 'blueman' не найдена"

blueman-manager
« Последнее редактирование: 22 Февраль 2017, 19:26:41 от fluf »

Оффлайн F12

  • Старожил
  • *
  • Сообщений: 2404
    • Просмотр профиля
Re: Не могу выйти в интернет через blueman
« Ответ #7 : 22 Февраль 2017, 20:23:41 »
Ubuntu MATE, Blueman присутствует "из коробки", все настройки по умолчанию, ничего не менял, пользователя в группу bluetooth не добавлял.
На ноуте: Андрофон установил как Доверенное устройство, выполнил сопряжение, в параметрах сопряженного устройства включил требуемые мне функции.
На смартфоне: в свойствах уже сопряженного ноута поставил галочки в чекбоксах в соответствии с моими потребностями.
Все! Файлы сюды-туды передаются/принимаются, в сеть по необходимости тоже выхожу.

Оффлайн d1m92

  • Автор темы
  • Новичок
  • *
  • Сообщений: 35
    • Просмотр профиля
Re: Не могу выйти в интернет через blueman
« Ответ #8 : 22 Февраль 2017, 20:51:28 »
Цитировать
пользователя в группу bluetooth не добавлял.
Я тоже сперва не добавлял, добавил потом, когда по обычному подключится не получилось.

Логи ошибок:

С Включенный WIFI

Цитировать
_________
__init__ (/usr/lib/python3/dist-packages/blueman/main/Device.py:26)
caching initial properties
_________
notify (/usr/lib/python3/dist-packages/blueman/plugins/applet/RecentConns.py:239)
<Device.Device object at 0x7fc2785b45a0 (blueman+main+Device+Device at 0x55cd72d56080)> <blueman.services.NetworkAccessPoint.NetworkAccessPoint object at 0x7fc2785b75f8> 00001116-0000-1000-8000-00805f9b34fb
_________
__del__ (/usr/lib/python3/dist-packages/blueman/main/Device.py:72)
deleting device /org/bluez/hci0/dev_00_00_46_65_80_01
_________
Destroy (/usr/lib/python3/dist-packages/blueman/main/Device.py:94)
invalidating device /org/bluez/hci0/dev_00_00_46_65_80_01
_________
initialize (/usr/lib/python3/dist-packages/blueman/plugins/applet/RecentConns.py:144)
rebuilding menu
/usr/lib/python3/dist-packages/blueman/gui/manager/ManagerProgressbar.py:165: Warning: Source ID 2444 was not found when attempting to remove it
  GObject.source_remove(self.gsource)

C Вырубленным WIFI

Цитировать
_________
__init__ (/usr/lib/python3/dist-packages/blueman/main/Device.py:26)
caching initial properties
_________
notify (/usr/lib/python3/dist-packages/blueman/plugins/applet/RecentConns.py:239)
<Device.Device object at 0x7f5148e5fc60 (blueman+main+Device+Device at 0x5586a1bde5a0)> <blueman.services.NetworkAccessPoint.NetworkAccessPoint object at 0x7f5148e64470> 00001116-0000-1000-8000-00805f9b34fb
_________
__del__ (/usr/lib/python3/dist-packages/blueman/main/Device.py:72)
deleting device /org/bluez/hci0/dev_00_00_46_65_80_01
_________
Destroy (/usr/lib/python3/dist-packages/blueman/main/Device.py:94)
invalidating device /org/bluez/hci0/dev_00_00_46_65_80_01
_________
initialize (/usr/lib/python3/dist-packages/blueman/plugins/applet/RecentConns.py:144)
rebuilding menu
/usr/lib/python3/dist-packages/blueman/gui/manager/ManagerProgressbar.py:165: Warning: Source ID 2437 was not found when attempting to remove it
  GObject.source_remove(self.gsource)

Попытка передать файл на устройство:

Цитировать
Gtk-Message: GtkDialog mapped without a transient parent. This is discouraged.
_________
on_adapter_property_changed (/usr/lib/python3/dist-packages/blueman/plugins/applet/DiscvManager.py:96)
prop Discovering 1
Traceback (most recent call last):
  File "/usr/lib/python3/dist-packages/dbus/bus.py", line 175, in activate_name_owner
    return self.get_name_owner(bus_name)
  File "/usr/lib/python3/dist-packages/dbus/bus.py", line 361, in get_name_owner
    's', (bus_name,), **keywords)
  File "/usr/lib/python3/dist-packages/dbus/connection.py", line 651, in call_blocking
    message, timeout)
dbus.exceptions.DBusException: org.freedesktop.DBus.Error.NameHasNoOwner: Could not get owner of name 'org.bluez.obex': no such name

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/bin/blueman-sendto", line 403, in <module>
    SendTo()
  File "/usr/bin/blueman-sendto", line 328, in __init__
    self.do_send()
  File "/usr/bin/blueman-sendto", line 365, in do_send
    sender = Sender(self.device, self.adapter, self.files)
  File "/usr/bin/blueman-sendto", line 107, in __init__
    self.client = obex.Client()
  File "/usr/lib/python3/dist-packages/blueman/bluez/obex/Client.py", line 19, in __init__
    if self.__class__.get_interface_version()[0] < 5:
  File "/usr/lib/python3/dist-packages/blueman/bluez/obex/Base.py", line 23, in get_interface_version
    obj = dbus.SessionBus().get_object('org.bluez.obex', '/')
  File "/usr/lib/python3/dist-packages/dbus/bus.py", line 241, in get_object
    follow_name_owner_changes=follow_name_owner_changes)
  File "/usr/lib/python3/dist-packages/dbus/proxies.py", line 248, in __init__
    self._named_service = conn.activate_name_owner(bus_name)
  File "/usr/lib/python3/dist-packages/dbus/bus.py", line 180, in activate_name_owner
    self.start_service_by_name(bus_name)
  File "/usr/lib/python3/dist-packages/dbus/bus.py", line 278, in start_service_by_name
    'su', (bus_name, flags)))
  File "/usr/lib/python3/dist-packages/dbus/connection.py", line 651, in call_blocking
    message, timeout)
dbus.exceptions.DBusException: org.freedesktop.systemd1.NoSuchUnit: Unit dbus-org.bluez.obex.service not found.
Exception ignored in: <bound method Base.__del__ of <Client.Client object at 0x7fccb3529fc0 (uninitialized at 0x(nil))>>
Traceback (most recent call last):
  File "/usr/lib/python3/dist-packages/blueman/bluez/obex/Base.py", line 47, in __del__
    self.__signals.DisconnectAll()
AttributeError: 'Client' object has no attribute '_Base__signals'
_________
on_adapter_property_changed (/usr/lib/python3/dist-packages/blueman/plugins/applet/DiscvManager.py:96)
prop Discovering 0

Так-же сразу после этого вышла ошибка:
Прикрепляю в виде скриншота.





При попытки посмотреть содержимое устройства:

Цитировать
Gtk-Message: GtkDialog mapped without a transient parent. This is discouraged.
_________
on_adapter_property_changed (/usr/lib/python3/dist-packages/blueman/plugins/applet/DiscvManager.py:96)
prop Discovering 1
Gtk-Message: GtkDialog mapped without a transient parent. This is discouraged.
_________
on_adapter_property_changed (/usr/lib/python3/dist-packages/blueman/plugins/applet/DiscvManager.py:96)
prop Discovering 0
 
« Последнее редактирование: 23 Февраль 2017, 16:42:37 от d1m92 »

Оффлайн d1m92

  • Автор темы
  • Новичок
  • *
  • Сообщений: 35
    • Просмотр профиля
Re: Не могу выйти в интернет через blueman
« Ответ #9 : 24 Февраль 2017, 09:37:20 »
Цитировать
А вот это http://askubuntu.com/questions/877775/uid-1002-has-no-permission-to-perform-this-operation
пробовали?

Пробовал, не помогло.

Всё еще актуально.. добавил лог ошибки.

« Последнее редактирование: 24 Февраль 2017, 09:45:01 от d1m92 »

Оффлайн d1m92

  • Автор темы
  • Новичок
  • *
  • Сообщений: 35
    • Просмотр профиля
Re: Не могу выйти в интернет через blueman
« Ответ #10 : 26 Февраль 2017, 12:56:50 »
Актуально ..

Оффлайн F12

  • Старожил
  • *
  • Сообщений: 2404
    • Просмотр профиля
Re: Не могу выйти в интернет через blueman
« Ответ #11 : 26 Февраль 2017, 15:03:42 »
d1m92, не понятно что, но что-то в твоей системе точно не так как должно быть... это могло произойти и в следствии какихто "улучшений", и в следствии доустановок недостающего или, наоборот, удаления "лишнего" ПО, а может и в следствии каккихто настроек под себя... из твоих скриншотов и цитат мне ничего не ясно, может кто другой что-то ключевое увидит ::)

- как вариант, попробуй подключиться из под другой (или гостевой) учетки, ну или загрузись с LiveCD/USB, установи Blueman (если его нет из коробки) и попробуй подключиться

Оффлайн d1m92

  • Автор темы
  • Новичок
  • *
  • Сообщений: 35
    • Просмотр профиля
Re: Не могу выйти в интернет через blueman
« Ответ #12 : 26 Февраль 2017, 17:42:17 »
А может быть какой-нибудь конфликт блюмэна с нетворк менеджером?

Оффлайн F12

  • Старожил
  • *
  • Сообщений: 2404
    • Просмотр профиля
Re: Не могу выйти в интернет через blueman
« Ответ #13 : 26 Февраль 2017, 17:48:18 »
- а почему у меня не конфликтуют?..

Оффлайн d1m92

  • Автор темы
  • Новичок
  • *
  • Сообщений: 35
    • Просмотр профиля
Re: Не могу выйти в интернет через blueman
« Ответ #14 : 26 Февраль 2017, 17:55:23 »
хз.. просто при попытке подключится через телефон Blueman отсылает к NetworkManager...

Вообще, судя по сообщению "uid 1000 has no permission to perform this operation" что-то не так с правами..

У человека возможно аналогичная проблема: https://forum.ubuntu.ru/index.php?topic=285782.0

P.S У меня кроме сопряжения и "Подключиться к: Источник звука" больше ни одна функция не работает, не посмотреть/скинуть файлы на устройство, ни подключится к интернету.   

« Последнее редактирование: 26 Февраль 2017, 18:09:50 от d1m92 »

 

Страница сгенерирована за 0.302 секунд. Запросов: 24.